/*
	Engineering Test: Boggle Solver
	Gordon Lee

*******************************************************************************

	@filename	cBoard.h

	@description
		Class for a Boggle board of letters

	@author		Gordon Lee
*/

#ifndef C_BOARD_H
#define C_BOARD_H
#pragma once

// Includes
#include <exception>

// Namespace
namespace Test
{
////////////////////////////////////////////////////////////////////////////////
// Exceptions
class cBoardException : public std::exception
{
	virtual const char *what() const throw()
	{
		return "Invalid Board";
	}
};

class cBoard
{
public:
			cBoard();
			~cBoard();

	void	ParseBoardInput(char *_input);
	int		Rows(void);
	int		Cols(void);
	char	GetChar(int _r, int _c);
	size_t	Size(void);

private:
	// Data members
	char *m_board;
	int m_rows;
	int m_cols;
	size_t m_size;
};
////////////////////////////////////////////////////////////////////////////////
}

#endif
