/*
	Engineering Test: Boggle Solver
	Gordon Lee

*******************************************************************************

	@filename	cDictionary.h

	@description
		Class for a word dictionary built as a trie graph

	@author		Gordon Lee
*/

#ifndef C_DICTIONARY_H
#define C_DICTIONARY_H
#pragma once

// Includes
#include <exception>
#include "cTrie.h"

#define BUF_LEN 256

// Namespace
namespace Test
{
////////////////////////////////////////////////////////////////////////////////
// Exceptions
class cDictionaryException : public std::exception
{
	virtual const char *what() const throw()
	{
		return "Dictionary Missing";
	}
};

class cDictionary
{
public:
			cDictionary();
			cDictionary(char *_file);
			~cDictionary();

	cTrie *	Trie(void);
	size_t	MinLetters(void);
	void	SetMinLetters(size_t _minLetters);

private:
	// Data members
	cTrie m_trie;
	size_t m_minLetters;
};
////////////////////////////////////////////////////////////////////////////////
}

#endif
