/*
	Engineering Test: Boggle Solver
	Gordon Lee

*******************************************************************************

	@filename	cTimer.h

	@description
		Class for a millisecond timer

	@author		Gordon Lee
*/

#ifndef C_TIMER_H
#define C_TIMER_H
#pragma once

// Namespace
namespace Test
{
////////////////////////////////////////////////////////////////////////////////
class cTimer
{
public:
					cTimer();
					~cTimer();

	void			Start(void);
	void			Stop(void);
	void			Pause(void);
	void			Unpause(void);
	unsigned long	GetTime(void);
	bool			IsStarted(void);
	bool			IsPaused(void);

private:
	// Data members
	unsigned long m_startTime;
	unsigned long m_pausedTime;
	bool m_bStarted;
	bool m_bPaused;
};
////////////////////////////////////////////////////////////////////////////////
}

#endif
